const state = {
    company: null
}

const getters = {
    getCompany(state) {
        return state.company
    },
    getCurrency(state) {
        return state.company ? state.company.currency : ''
    },
    getCurrencySymbol(state) {
        return state.company ? state.company.currency.symbol : '$'
    }
}

const mutations = {
    setCompany(state, payload) {
        state.company = payload.company
    }
}

const actions = {
    fetchCompany({ commit, dispatch }) {
        return new Promise((resolve, reject) => {
            let pos = new openerp.web.Model('eiru.pos')
            pos.call('get_company').then(response => {
                commit('setCompany', {
                    company: response
                })

                dispatch('loaded', {
                    module: 'company'
                })
                
                resolve()
            }).fail(error => {
                console.log(error)
                reject(error)
            })
        })
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}